This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 845389 - Group without members with unknown status appears in every availabilty search result
Group without members with unknown status appears in every availabilty search...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On: 826493
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 18:08 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 826493
Environment:
Last Closed: 2013-09-01 05:59:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-08-02 18:08:17 EDT
+++ This bug was initially created as a clone of Bug #826493 +++

Description of problem:

Created a group of resources and then removed all member resources from the group. when trying the group search criteria for availability=up and others such as availability=disabled and availability=down, the search result display the group without members having unknown status in group list view.

Please refer the attached screenshot.


Version-Release number of selected component (if applicable):

Version: 3.1.0.CR1 Build Number: 4bc4270:1b85993

How reproducible:

Always

Steps to Reproduce:
1. Create a compatible or mixed group of resources

2. Remove all members from the group (Groups Inventory tab->Update membershitp button->Unassign all member resources->Save)

3. Observe the group has unknown status.

4. Navigate to Inventory->Groups->All groups.

5. Enter search criteria as availability=up in search bar and press 'Enter'.

6. The search results display the group with unknown status in group list view.

7. Repeat the search criteria as availability=down, availability=disabled.

8. The search results display the group with unknown status in group list view.
  
Actual results:

The group without members and with unknown status appear in availability search criterias for up, down and disabled.

Expected results:

The group without members and with unknown status should not appear in availability search criterias for up, down and disabled.

Additional info:

--- Additional comment from skondkar@redhat.com on 2012-05-30 07:02:38 EDT ---

Created attachment 587682 [details]
Screenshot

--- Additional comment from ccrouch@redhat.com on 2012-06-11 10:51:01 EDT ---

As per 6/4/12 triage, target for jon311
Comment 1 Mike Thompson 2012-08-08 15:46:15 EDT
master commit id: 1555257

Eliminated the superfluous empty groups as unknown status in availability searches.
Comment 2 Heiko W. Rupp 2013-09-01 05:59:13 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.